import { GridOption } from './coord/cartesian/GridModel';
import { PolarOption } from './coord/polar/PolarModel';
import { GeoOption } from './coord/geo/GeoModel';
import { RadiusAxisOption, AngleAxisOption } from './coord/polar/AxisModel';
import { CartesianAxisOption } from './coord/cartesian/AxisModel';
import { SingleAxisOption } from './coord/single/AxisModel';
import { ParallelAxisOption } from './coord/parallel/AxisModel';
import { ParallelCoordinateSystemOption } from './coord/parallel/ParallelModel';
import { CalendarOption } from './coord/calendar/CalendarModel';
import { ToolboxOption } from './component/toolbox/ToolboxModel';
import { TooltipOption } from './component/tooltip/TooltipModel';
import { AxisPointerOption } from './component/axisPointer/AxisPointerModel';
import { BrushOption } from './component/brush/BrushModel';
import { TitleOption } from './component/title';
import { TimelineOption } from './component/timeline/TimelineModel';
import { SliderTimelineOption } from './component/timeline/SliderTimelineModel';
import { LegendOption } from './component/legend/LegendModel';
import { ScrollableLegendOption } from './component/legend/ScrollableLegendModel';
import { SliderDataZoomOption } from './component/dataZoom/SliderZoomModel';
import { InsideDataZoomOption } from './component/dataZoom/InsideZoomModel';
import { ContinousVisualMapOption } from './component/visualMap/ContinuousModel';
import { PiecewiseVisualMapOption } from './component/visualMap/PiecewiseModel';
import { LineSeriesOption } from './chart/line/LineSeries';
import { BarSeriesOption } from './chart/bar/BarSeries';
import { ScatterSeriesOption } from './chart/scatter/ScatterSeries';
import { PieSeriesOption } from './chart/pie/PieSeries';
import { RadarSeriesOption } from './chart/radar/RadarSeries';
import { MapSeriesOption } from './chart/map/MapSeries';
import { TreeSeriesOption } from './chart/tree/TreeSeries';
import { TreemapSeriesOption } from './chart/treemap/TreemapSeries';
import { GraphSeriesOption } from './chart/graph/GraphSeries';
import { GaugeSeriesOption } from './chart/gauge/GaugeSeries';
import { FunnelSeriesOption } from './chart/funnel/FunnelSeries';
import { ParallelSeriesOption } from './chart/parallel/ParallelSeries';
import { SankeySeriesOption } from './chart/sankey/SankeySeries';
import { BoxplotSeriesOption } from './chart/boxplot/BoxplotSeries';
import { CandlestickSeriesOption } from './chart/candlestick/CandlestickSeries';
import { EffectScatterSeriesOption } from './chart/effectScatter/EffectScatterSeries';
import { LinesSeriesOption } from './chart/lines/LinesSeries';
import { HeatmapSeriesOption } from './chart/heatmap/HeatmapSeries';
import { PictorialBarSeriesOption } from './chart/bar/PictorialBarSeries';
import { ThemeRiverSeriesOption } from './chart/themeRiver/ThemeRiverSeries';
import { SunburstSeriesOption } from './chart/sunburst/SunburstSeries';
import { CustomSeriesOption } from './chart/custom';
import { ToolboxBrushFeatureOption } from './component/toolbox/feature/Brush';
import { ToolboxDataViewFeatureOption } from './component/toolbox/feature/DataView';
import { ToolboxDataZoomFeatureOption } from './component/toolbox/feature/DataZoom';
import { ToolboxMagicTypeFeatureOption } from './component/toolbox/feature/MagicType';
import { ToolboxRestoreFeatureOption } from './component/toolbox/feature/Restore';
import { ToolboxSaveAsImageFeatureOption } from './component/toolbox/feature/SaveAsImage';
import { ToolboxFeatureOption } from './component/toolbox/featureManager';
import { ECOption } from './util/types';
interface ToolboxFullOptionWithFeatures extends ToolboxOption {
    feature?: {
        brush?: ToolboxBrushFeatureOption;
        dataView?: ToolboxDataViewFeatureOption;
        dataZoom?: ToolboxDataZoomFeatureOption;
        magicType?: ToolboxMagicTypeFeatureOption;
        restore?: ToolboxRestoreFeatureOption;
        saveAsImage?: ToolboxSaveAsImageFeatureOption;
        [key: string]: ToolboxFeatureOption | {
            [key: string]: any;
        };
    };
}
declare type SeriesOption = LineSeriesOption | BarSeriesOption | ScatterSeriesOption | PieSeriesOption | RadarSeriesOption | MapSeriesOption | TreeSeriesOption | TreemapSeriesOption | GraphSeriesOption | GaugeSeriesOption | FunnelSeriesOption | ParallelSeriesOption | SankeySeriesOption | BoxplotSeriesOption | CandlestickSeriesOption | EffectScatterSeriesOption | LinesSeriesOption | HeatmapSeriesOption | PictorialBarSeriesOption | ThemeRiverSeriesOption | SunburstSeriesOption | CustomSeriesOption;
export interface EChartsFullOption extends ECOption {
    title?: TitleOption | TitleOption[];
    grid?: GridOption | GridOption[];
    polar?: PolarOption | PolarOption[];
    geo?: GeoOption | GeoOption[];
    angleAxis?: AngleAxisOption | AngleAxisOption[];
    radiusAxis?: RadiusAxisOption | RadiusAxisOption[];
    xAxis?: CartesianAxisOption | CartesianAxisOption[];
    yAxis?: CartesianAxisOption | CartesianAxisOption[];
    singleAxis?: SingleAxisOption | SingleAxisOption[];
    parallel?: ParallelCoordinateSystemOption | ParallelCoordinateSystemOption[];
    parallelAxis?: ParallelAxisOption | ParallelAxisOption[];
    calendar?: CalendarOption | CalendarOption[];
    toolbox?: ToolboxFullOptionWithFeatures | ToolboxFullOptionWithFeatures[];
    tooltip?: TooltipOption | TooltipOption[];
    axisPointer?: AxisPointerOption | AxisPointerOption[];
    brush?: BrushOption | BrushOption[];
    timeline?: TimelineOption | SliderTimelineOption;
    legend?: LegendOption | ScrollableLegendOption | (LegendOption | ScrollableLegendOption)[];
    dataZoom?: SliderDataZoomOption | InsideDataZoomOption | (SliderDataZoomOption | InsideDataZoomOption)[];
    visualMap?: ContinousVisualMapOption | PiecewiseVisualMapOption | (ContinousVisualMapOption | PiecewiseVisualMapOption)[];
    series?: SeriesOption | SeriesOption[];
    options?: EChartsFullOption[];
    baseOption?: EChartsFullOption;
}
export {};
